[Blends-commit] [SCM] website branch, master, updated. eaa6b90d4412a8dcff4b13cb410d6bbe32a476ed
Andreas Tille
tille at debian.org
Fri Dec 13 10:39:58 UTC 2013
The following commit has been merged in the master branch:
commit eaa6b90d4412a8dcff4b13cb410d6bbe32a476ed
Author: Andreas Tille <tille at debian.org>
Date: Fri Dec 13 11:44:38 2013 +0100
seek for packages maintained by a Blends team which is not mentioned in any task
diff --git a/misc/sql/0-uncategorised.sh b/misc/sql/0-uncategorised.sh
new file mode 100755
index 0000000..b82f704
--- /dev/null
+++ b/misc/sql/0-uncategorised.sh
@@ -0,0 +1,45 @@
+#!/bin/sh
+# seek for packages maintained by a Blends team which is not mentioned in any task
+
+if [ $# -lt 1 ] ; then
+ echo "Usage: $0 <blend>"
+ exit 1
+fi
+
+case "$1" in
+ debian-science)
+ team='debian-science-maintainers at lists.alioth.debian.org'
+ ;;
+ debian-med)
+ team='debian-med-packaging at lists.alioth.debian.org'
+ ;;
+ *)
+ echo "Unsupported Blend $1"
+ exit 1
+ ;;
+esac
+
+SERVICE="service=udd"
+#if there is a local UDD clone just use this
+if psql -l 2>/dev/null | grep -qw udd ; then
+ SERVICE=udd
+fi
+
+psql $SERVICE >$1.out <<EOT
+SELECT source FROM (
+ SELECT DISTINCT source, CASE WHEN b.package IS NULL THEN 0 ELSE 1 END AS is_in_task FROM packages p
+ LEFT JOIN blends_dependencies b ON p.package = b.package
+ WHERE maintainer_email = '$team'
+ AND release = 'sid' -- restrict to packages in unstable for the moment
+ AND (b.dependency IS NULL OR b.dependency != 'i')
+ AND (b.blend IS NULL OR b.blend = '$1')
+ ) tmp
+ GROUP BY source
+ HAVING MAX(is_in_task) = 0
+ ORDER BY source
+ ;
+EOT
+
+
+exit 0
+
--
Static and dynamic websites for Debian Pure Blends
More information about the Blends-commit
mailing list